torbrowser-launcher (0.3.7-2) unstable; urgency=medium

  [ Daniel Rusek ]
  * debian/patches:
    - Add patch 05 to fix keyboard input issue.

  [ Micah Anderson ]
  * d/control:
    - Add libasound2 to Depends (Closes: #1065488)

  [ Thomas Ward ]
  * d/changelog: Cleanup/merge Git untagged 0.3.7-2 and 0.3.7-3 
    to keep changelog and Debian versions in line with each other 
    and not skipping any versions. (Also replaces signature due to
    manual intervention on changelog)

 -- Thomas Ward <teward@ubuntu.com>  Wed, 29 May 2024 16:22:40 -0400

torbrowser-launcher (0.3.7-1) unstable; urgency=medium

  * New upstream release (0.3.7)
  * debian/patches:
    - Refresh patches
    - po/02 patch: Modify patch paths to use new upstream pathing for
      metadata.
  * d/control:
    - Update uploaders to include new uploader.

  [ Micah Anderson ]
  * Upload to unstable
  * d/copyright:
    - Fix inconsistent file location for license
  * d/NEWS:
    - Fix unassociated version number
  * d/control
    - Update standards version (no changes)

 -- Thomas Ward <teward@ubuntu.com>  Thu, 22 Feb 2024 16:28:06 -0500

torbrowser-launcher (0.3.6-2) unstable; urgency=medium

  * debian/patches:
    - Remove unneeded patches.
    - Update po/02 patch to remove more deprecated "modem sound".
    - Refresh patches.

 -- Roger Shimizu <rosh@debian.org>  Sun, 05 Feb 2023 01:04:32 -0800

torbrowser-launcher (0.3.6-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove 2 obsolete maintscript entries in 1 files.
  * Bump debhelper from old 12 to 13.
  * Update renamed lintian tag names in lintian overrides.
  * Update standards version to 4.6.1, no changes needed.

  [ Roger Shimizu ]
  * Upload to unstable.
  * debian/control: Add libgtk-3-0 to Depends (Closes: #1005292).

 -- Roger Shimizu <rosh@debian.org>  Sun, 15 Jan 2023 14:51:44 -0800

torbrowser-launcher (0.3.6-1~exp1) experimental; urgency=medium

  * New upstream release v0.3.6 (Closes: #1025765).
  * debian/patches:
    - Remove upstreamed patches.
    - Refresh patches.

 -- Roger Shimizu <rosh@debian.org>  Sat, 14 Jan 2023 23:33:18 -0800

torbrowser-launcher (0.3.5-3) unstable; urgency=medium

  * debian/patches:
    - Cherry pick patch 12 from upstream to fix runtime issue under
      Python 3.10 (Closes: #1010441).

 -- Roger Shimizu <rosh@debian.org>  Sat, 21 May 2022 20:41:30 +0900

torbrowser-launcher (0.3.5-2) unstable; urgency=medium

  * debian/patches:
    - Add patch 09 to sync with ubuntu 0.3.3-6ubuntu1.
    - From upstream: AppArmor: allow Firefox to enumerate GPUs and use
      graphics acceleration.
    - From upstream: AppArmor: silence a denial for access we don't
      need.

 -- Roger Shimizu <rosh@debian.org>  Mon, 10 Jan 2022 17:01:50 +0900

torbrowser-launcher (0.3.5-1) unstable; urgency=medium

  * New upstream release 0.3.5
  * debian/patches:
    - Refresh patches.
    - Cherry-pick patch from upstream: Fix U2F for Yubikey 5 tokens
    - Cherry-pick patch from upstream: AppArmor: support Wayland display
      protocol

 -- Roger Shimizu <rosh@debian.org>  Mon, 30 Aug 2021 03:09:41 +0900

torbrowser-launcher (0.3.3-6) unstable; urgency=medium

  * debian/patches:
    - Prefer upstream patch than local one, so add patch 15 which
      cherry-picked from upstream for apparmor rule.
    - Add patch 16 to update available languages for torbrowser.

 -- Roger Shimizu <rosh@debian.org>  Wed, 26 May 2021 01:19:30 +0900

torbrowser-launcher (0.3.3-5) unstable; urgency=medium

  * debian/patches:
    - Update patch 08 and 10 with upstreamed version.
    - Add patch 11 to have local apparmor update.
    - Cherry-pick 3 patches from upstream.

 -- Roger Shimizu <rosh@debian.org>  Sun, 23 May 2021 03:12:52 +0900

torbrowser-launcher (0.3.3-4) unstable; urgency=medium

  * debian/control:
    - Update homepage.
  * debian/patches:
    - Update patch 03 to adapt python >= 3.8
    - Add patch 08 to update apparmor profile (Closes: #980155).
    - Add patch 09 to fix failure in detect installed torbrowser.
      (Closes: #983198)
    - Add patch 10 to enable keyboard input to communicate with ibus.
      (Closes: #976084)

 -- Roger Shimizu <rosh@debian.org>  Sat, 15 May 2021 23:32:12 +0900

torbrowser-launcher (0.3.3-3) unstable; urgency=medium

  * debian/patches:
    - Move all po patches to po/ folder, and refresh patches.
    - Cherry-pick from upstream to add Czech translation.
  * debian/watch:
    - Bump up version to 4.
  * debian/copyright:
    - Add share/metainfo/torbrowser.appdata.xml license as CC0-1.0

 -- Roger Shimizu <rosh@debian.org>  Sun, 13 Dec 2020 16:37:58 +0900

torbrowser-launcher (0.3.3-2) unstable; urgency=medium

  * debian/control:
    - Add to Depends: python3-packaging.

 -- Roger Shimizu <rosh@debian.org>  Wed, 07 Oct 2020 23:42:46 +0900

torbrowser-launcher (0.3.3-1) unstable; urgency=medium

  * New upstream release 0.3.3
    - Switch to Web Key Directory to refresh signing key from
      torproject.org, because everything is broken.
    - Use proper version comparison now that Tor Browser 10.0 is out.
    - Fix DNS leak when downloading over Tor.
    - Various bug fixes, as well as AppData and AppArmor fixes.
  * debian/patches:
    - Refresh patches.
  * debian/control:
    - Add to B-D: python3-packaging.

 -- Roger Shimizu <rosh@debian.org>  Wed, 07 Oct 2020 21:37:53 +0900

torbrowser-launcher (0.3.2-14) unstable; urgency=high

  * Upload to unstable.
  * debian/patches:
    - Cherry-pick patch 0032 to fix apparmor on libstdc++.
      Thanks to Robert Sacks for the report and patch (Closes: #970799).

 -- Roger Shimizu <rosh@debian.org>  Thu, 24 Sep 2020 23:28:33 +0900

torbrowser-launcher (0.3.2-14~exp1) experimental; urgency=high

  * debian/patches:
    - Add patch 0031 to improve version string comparison.
      (Closes: #970768)

 -- Roger Shimizu <rosh@debian.org>  Thu, 24 Sep 2020 00:28:42 +0900

torbrowser-launcher (0.3.2-13) unstable; urgency=medium

  * debian/patches:
    - Update patch to update TBB signing key by removing spammed sigs.
    - Add patch to use /usr/bin/gpg instead of /usr/bin/gpg2
      (Closes: #969901).
  * debian/control:
    - Add gnupg as depends.

 -- Roger Shimizu <rosh@debian.org>  Wed, 09 Sep 2020 02:04:53 +0900

torbrowser-launcher (0.3.2-12) unstable; urgency=high

  * debian/patches:
    - Add patch to update Tor Browser Developers public key.
    - Add patch to update AppArmor rule from upstream.

 -- Roger Shimizu <rosh@debian.org>  Tue, 08 Sep 2020 01:34:54 +0900

torbrowser-launcher (0.3.2-11) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Fix field name typos in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ Roger Shimizu ]
  * debian/patches:
    - Add patch to append the apparmor rule for tbb fonts path.
      Thanks to Santiago R.R. (Closes: #959388).
    - Add patch of apparmor to support obfs-meek.

 -- Roger Shimizu <rosh@debian.org>  Sat, 16 May 2020 20:33:55 +0900

torbrowser-launcher (0.3.2-10) unstable; urgency=medium

  * debian/patches:
    - Remove 0008 patch.
    - Cherry-pick patch 0017 to fix the locale issue for python.
      (Closes: #943922)
    - Add patch 0018 to fix use case that enforce install of EN version
      on non-EN user session (Closes: #842021).
    - Cherry-pick patch 0019 - 0025 patch from github pull request
      to add several translation po.

 -- Roger Shimizu <rosh@debian.org>  Sun, 26 Apr 2020 23:27:41 +0900

torbrowser-launcher (0.3.2-9) unstable; urgency=medium

  * debian/patches:
    - Refresh patches.
    - Amend 0017 patch to add more description.
      Thanks to intrigeri's review and help. (Closes: #913104)
  * debian/rules:
    - Minor fix for FTBFS on ubuntu. (Closes: #958063)
  * debian/control:
    - Bump debhelper version to 12.
    - Bump policy version to 4.5.0
  * Remove debian/compat.

 -- Roger Shimizu <rosh@debian.org>  Sat, 18 Apr 2020 17:38:14 +0900

torbrowser-launcher (0.3.2-8) unstable; urgency=medium

  * debian/rules:
    - Revert the workaround for skipping test on i386.
  * debian/patches:
    - Backport patch from upstream.
      + [704e5ca] Allow torbrowser to access u2f devices
        (Closes: #955821)
  * debian/NEWS: rename from NEWS.Debian

 -- Roger Shimizu <rosh@debian.org>  Sun, 12 Apr 2020 16:30:34 +0900

torbrowser-launcher (0.3.2-7) unstable; urgency=medium

  * debian/rules:
    - Skip test for i386, since gpgme is broken on 32bit system.

 -- Roger Shimizu <rosh@debian.org>  Sun, 26 Jan 2020 14:24:13 +0900

torbrowser-launcher (0.3.2-6) unstable; urgency=medium

  * debian/rules:
    - Remove override_dh_auto_test, it seems fine without it.
    - Add override_dh_auto_install, to exclude local apparmor profile
      from shipping as conffile nor normal file.
  * debian/preinst:
    - Create dummy local apparmor profile if it's nonexisting.
      (Closes: #934119).
    - Update the commit SHA-1.
  * debian/control:
    - Add a few Depends to Build-Depends to pass dh_auto_test.

 -- Roger Shimizu <rosh@debian.org>  Mon, 20 Jan 2020 01:06:01 +0900

torbrowser-launcher (0.3.2-5) unstable; urgency=medium

  * debian/maintscript:
    - Move from torbrowser-launcher.maintscript to maintscript.
    - The following files are still shipped by this package, so removed them
      from rm_conffile line:
        /etc/apparmor.d/local/torbrowser.Browser.firefox
        /etc/apparmor.d/local/torbrowser.Tor.tor
  * debian/manpages:
    - Move from torbrowser-launcher.manpages to manpages.
  * debian/rules:
    - Remove copying apparmor profile, since this is handled by setup.py.
  * debian/preinst:
    - Remove old apparmor profiles shipped not as conffile before, only
      if the checksum matches, which means without user modification:
        /etc/apparmor.d/local/torbrowser.Browser.firefox
        /etc/apparmor.d/local/torbrowser.Tor.tor
      (Closes: #934119)

 -- Roger Shimizu <rosh@debian.org>  Mon, 06 Jan 2020 01:07:36 +0900

torbrowser-launcher (0.3.2-4) unstable; urgency=medium

  * debian/tests:
    - Add a simple test command.
  * debian/control:
    - Add Rules-Requires-Root: no
  * debian/copyright:
    - Merge MIT with Expat license, which is exact the same.
  * Add debian/upstream/metadata.

 -- Roger Shimizu <rosh@debian.org>  Thu, 28 Nov 2019 00:37:10 +0900

torbrowser-launcher (0.3.2-3) unstable; urgency=medium

  * debian/patches:
    - Add back patch origin.
    - Backports a few patches from upstream (Closes: #942901).
      + [0bd4779] pt_BR translation
      + [f12222d] pt_BR translation
      + [88046fb] Update French translation
      + [0b78aea] AppArmor: allow new path for the Firefox 68 IPC
      + [73fc84b] AppArmor: Pass the environment to Firefox content processes
      + [b8a13f9] AppArmor: allow running the Firefox updater from its new path
    - Cherry-pick a patch from upstream pull-request queue to fix FTBFS issue.
      Thanks to Carl Joseph Hirner III.
  * debian/control: Add python3-distro to Build-Depends.

 -- Roger Shimizu <rosh@debian.org>  Thu, 21 Nov 2019 02:01:05 +0900

torbrowser-launcher (0.3.2-2) unstable; urgency=medium

  * debian/rules and debian/torbrowser-launcher.maintscript:
    - Remove the obsolete appamor profile:
        torbrowser.Browser.plugin-container

 -- Roger Shimizu <rosh@debian.org>  Thu, 22 Aug 2019 02:06:21 +0900

torbrowser-launcher (0.3.2-1) unstable; urgency=medium

  * New upstream release 0.3.2
    - Switch to keys.openpgp.org when refreshing signing key, because
      SKS keyservers are broken.
    - Use new Tor Browser logo.
  * debian/patches:
    - Remove upstreamed patches.
    - Refresh patches.

 -- Roger Shimizu <rosh@debian.org>  Wed, 07 Aug 2019 01:40:22 +0900

torbrowser-launcher (0.3.1-2) unstable; urgency=medium

  * debian/control:
    - Remove Suggests for python-pygame, which was related to modem
      sound (Closes: #912490, #913151).
  * debian/patches:
    - Add translation patches from pull-request of upstream: hu, da,
      and sv.
    - Add patch 0008 to remove mention of modem sound in docs and
      translation po files. Thanks to Paul Wise for the information.
    - Cherry-pick 2 new appamor patch from pull-request of upstream:
      [1b2e6aa] AppArmor: allow Web Content processes to check
                the update status.
      [3cd8aeb] AppArmor: allow Web Content processes to read
                profile.ini and the updates' "updater" file.
      Thanks to intrigeri for the patches, and Diederik de Haas
      & Shirish Agarwal for the bug report (Closes: #910827, #913366).
    - Revert [b828bdf] to fix detecting system locale (Closes: #753173).

 -- Roger Shimizu <rosh@debian.org>  Sat, 17 Nov 2018 19:15:20 +0900

torbrowser-launcher (0.3.1-1) unstable; urgency=low

  * Upload to unstable.

 -- Roger Shimizu <rosh@debian.org>  Thu, 01 Nov 2018 00:46:54 +0900

torbrowser-launcher (0.3.1-1~exp1) experimental; urgency=medium

  * New upstream release 0.3.1
    - Ship with latest version of the Tor Browser Developers
      OpenPGP public key
    - Fix bug where TBL window stays open after Tor Browser
      is launched
  * debian/patches:
    - Remove 0004 patch which is already merged upstream.

 -- Roger Shimizu <rosh@debian.org>  Sun, 28 Oct 2018 02:27:31 +0900

torbrowser-launcher (0.3.0-1~exp2) experimental; urgency=medium

  * debian/copyright:
    - Add comment section to explain why this is contrib package,
      which comforts lintian.
  * debian/patches:
    - Cherry-pick upstream patch to update Tor Browser Developers
      public key.

 -- Roger Shimizu <rosh@debian.org>  Sun, 30 Sep 2018 10:20:22 +0900

torbrowser-launcher (0.3.0-1~exp1) experimental; urgency=medium

  * New upstream release 0.3.0
    - Switched from python2 to python3
    - Switched from gtk2 to Qt5
    - Switched from twisted to requests/socks
    - Use QThreads for async
    - Removed modem sound
    - Only refresh gpg keyring on verification error, instead of every time
    - Updated AppArmor profiles
    - Updated available languages, and fixed locale detection bug
    - Fixed false signature verification error related to twisted
  * debian/patches:
    - Refresh patches.
    - Remove upstreamed patches.
  * debian/control:
    - Remove XS-Python-Version and XB-Python-Version, since lintian says
      it's not necessary.

 -- Roger Shimizu <rosh@debian.org>  Wed, 19 Sep 2018 23:06:56 +0900

torbrowser-launcher (0.3.0~dev-1~exp4) experimental; urgency=medium

  * debian/patches:
    - Refresh patches.
    - Cherry-pick 5 upstream patches to fix appamor profile for
      Tor Browser 8.0
  * debian/control:
    - Rename tag X-Python-Version to XS-Python-Version.
    - Add XB-Python-Version tag for binary package.
  * debian/torbrowser-launcher.maintscript:
    - rm_conffile appamor profile /etc/apparmor.d/local/*, which was
      removed since 0.2.9-2. Thanks to gregor herrmann for the fix.

 -- Roger Shimizu <rosh@debian.org>  Tue, 18 Sep 2018 22:42:28 +0900

torbrowser-launcher (0.3.0~dev-1~exp3) experimental; urgency=medium

  * Merge debian/sid branch to incorporate latest changes.
  * debian/control:
    - Amend Vcs-* a bit to specify debian/sid branch as default.

 -- Roger Shimizu <rosh@debian.org>  Mon, 25 Jun 2018 02:21:12 +0900

torbrowser-launcher (0.3.0~dev-1~exp2) experimental; urgency=medium

  * debian/rules:
    - Skip the test since it fails under python 3.6

 -- Roger Shimizu <rosh@debian.org>  Wed, 28 Mar 2018 21:45:45 +0900

torbrowser-launcher (0.3.0~dev-1~exp1) experimental; urgency=medium

  * New upstream release 0.3.0.dev in develop branch
    - Switch from python2 to python3
    - Switch from gtk2 to Qt5 (Closes: #885489)
    - Switch from twisted to requests/socks
    - Use QThreads for async, and now download, verify, and extract
      in separate threads too
    - Remove modem sound
    - Stopped refreshing the gpg keyring each time, and instead only
      refresh it when you hit a verification error (and then try
      verifying again before actually displaying the error)
    - On verification error, it saves a copy of the tarball and sig
      that failed to verify
    - Improved python style with flake8
  * debian/patches:
    - Refresh patches.
    - Add patch 0017 and 0018 to fix the extra dialog issue.
  * debian/control:
    - Update Build-Depends list to python3 series.
    - Update Depends list to match current python3 implementation.
    - Move debian/source.lintian-overrides
      to debian/source/lintian-overrides to comfort lintian.
  * debian/rules:
    - Use pybuild as buildsystem to avoid pyversions command error.

 -- Roger Shimizu <rosh@debian.org>  Wed, 28 Mar 2018 20:15:00 +0900

torbrowser-launcher (0.2.9-6) unstable; urgency=high

  * debian/control:
    - Remove XS-Python-Version since lintian says it's not necessary.
  * debian/copyright:
    - Add comment section to explain why this is contrib package,
      which comforts lintian.
  * debian/patches:
    - Cherry-pick upstream patch to update Tor Browser Developers
      public key.

 -- Roger Shimizu <rosh@debian.org>  Sat, 29 Sep 2018 01:45:32 +0900

torbrowser-launcher (0.2.9-5) unstable; urgency=high

  * debian/source/lintian-overrides:
    - Rename from debian/source.lintian-overrides
  * debian/control:
    - Rename tag X-Python-Version to XS-Python-Version.
    - Add XB-Python-Version tag for binary package.
  * debian/patches:
    - Cherry-pick three upstream commits to fix appamor profile for
      Web Content process (Closes: #908463).
  * debian/torbrowser-launcher.maintscript:
    - rm_conffile appamor profile /etc/apparmor.d/local/*, which was
      removed since 0.2.9-2. Thanks to gregor herrmann for the fix.

 -- Roger Shimizu <rosh@debian.org>  Tue, 18 Sep 2018 01:17:18 +0900

torbrowser-launcher (0.2.9-4) unstable; urgency=medium

  [ Ulrike Uhlig ]
  * debian/control:
    - Remove myself from uploaders.

  [ Roger Shimizu ]
  * debian/patches:
    - Cherry-pick two upstream commits to fix appamor profile for
      Tor Browser 8.0a9 (Closes: #908068).

 -- Roger Shimizu <rosh@debian.org>  Sun, 09 Sep 2018 16:43:19 +0900

torbrowser-launcher (0.2.9-3) unstable; urgency=medium

  * Team upload.
  * NEWS.Debian: recommend rebooting the system after upgrading to 0.2.9-2
    (Closes: #894333)
  * Update Vcs-* control fields wrt. the move to Salsa.

 -- intrigeri <intrigeri@debian.org>  Fri, 25 May 2018 09:12:30 +0000

torbrowser-launcher (0.2.9-2) unstable; urgency=medium

  * debian/patches:
    - Add AppArmor profiles, 2018-01 edition. Thanks to intrigeri.
      Some breakdown of the patches:
      + Make e10s work fine especially with a Linux 4.14 kernel
      + Silencing all the denial logs I could observe
      + Support for obfs4 and obfs3
      + Various updates, refactoring and clean-ups
    - Add a local patch to fix FTBFS:
      Remove apparmor local path from setup.py

 -- Roger Shimizu <rosh@debian.org>  Tue, 27 Mar 2018 22:10:49 +0900

torbrowser-launcher (0.2.9-1) unstable; urgency=medium

  * New upstream release 0.2.9 (Closes: #888236)
  * debian/watch:
    - Change filenamemangle to match with the filename in archive.
  * debian/patches:
    - Remove all upstreamed patches.
  * debian/rules:
    - Add new apparmor profile: torbrowser.Browser.plugin-container.

 -- Roger Shimizu <rosh@debian.org>  Mon, 29 Jan 2018 23:17:18 +0900

torbrowser-launcher (0.2.8-6) unstable; urgency=medium

  * debian/rules:
    - Clean up all built files during dh_clean. This makes
      dpkg-buildpackage be able to run again. Thanks to
      Andreas Beckmann for the bugreport. (Closes: #884419)
  * debian/control:
    - Add myself as uploader.
    - Add libdbus-glib-1-2 as dependency (Closes: #862799).

 -- Roger Shimizu <rosh@debian.org>  Wed, 03 Jan 2018 12:38:32 +0900

torbrowser-launcher (0.2.8-5~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Team upload.
  * Rebuild for jessie-backports-sloppy.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sun, 19 Nov 2017 10:56:07 +0900

torbrowser-launcher (0.2.8-5~bpo9+1) stretch-backports; urgency=medium

  * Team upload.
  * Rebuild for stretch-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sun, 19 Nov 2017 10:54:53 +0900

torbrowser-launcher (0.2.8-5) unstable; urgency=medium

  * Team upload.
  * Remove the torbrowser.start-tor-browser AppArmor profile conffile
    by bumping the buggy version that was initially passed to rm_conffile
    (Closes: #838817).

 -- intrigeri <intrigeri@debian.org>  Sun, 12 Nov 2017 11:35:10 +0000

torbrowser-launcher (0.2.8-4~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Team upload.
  * Rebuild for jessie-backports-sloppy.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sat, 04 Nov 2017 21:41:47 +0900

torbrowser-launcher (0.2.8-4~bpo9+1) stretch-backports; urgency=medium

  * Team upload.
  * Rebuild for stretch-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sat, 04 Nov 2017 21:29:33 +0900

torbrowser-launcher (0.2.8-4) unstable; urgency=medium

  * Team upload.
  * Stop shipping /etc/apparmor.d/usr.bin.torbrowser-launcher
    and clean it up with rm_conffile (Closes: #879776).
  * Add patches to make torbrowser-launcher work with AppArmor enabled
    on Linux 4.14 (Closes: #879830).

 -- intrigeri <intrigeri@debian.org>  Thu, 26 Oct 2017 11:38:13 +0000

torbrowser-launcher (0.2.8-3~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Team upload.
  * Rebuild for jessie-backports-sloppy.

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 06 Oct 2017 00:33:20 +0900

torbrowser-launcher (0.2.8-3~bpo9+1) stretch-backports; urgency=medium

  * Team upload.
  * Rebuild for stretch-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 06 Oct 2017 00:30:31 +0900

torbrowser-launcher (0.2.8-3) unstable; urgency=medium

  * Team upload.
  * debian/patches:
    - Add patch to update mirror list.
    - Add patch of apparmor config to allow the tor process to modify
      its data directory. Originally reported by Chris Lamb #876484.
      Kudos to intrigeri for the patch.

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 29 Sep 2017 23:23:47 +0900

torbrowser-launcher (0.2.8-2) unstable; urgency=medium

  * Team upload.
  * debian/control:
    - wrap and sort
    - Add help2man to Build-Depends.
  * debian/rules and debian/help2man:
    - Add script to build manpage automatically.
  * Remove debian/torbrowser-launcher.1
  * debian/patches:
    - Add a patch to support sysvinit systems for AppArmor.
      Thanks to intrigeri and gregor herrmann. (Closes: #874383)

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 20 Sep 2017 22:31:34 +0900

torbrowser-launcher (0.2.8-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Team upload.
  * Rebuild for jessie-backports-sloppy.

 -- Roger Shimizu <rogershimizu@gmail.com>  Mon, 11 Sep 2017 08:54:21 +0900

torbrowser-launcher (0.2.8-1~bpo9+1) stretch-backports; urgency=medium

  * Team upload.
  * Rebuild for stretch-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Mon, 11 Sep 2017 08:46:27 +0900

torbrowser-launcher (0.2.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream 0.2.8

 -- Roger Shimizu <rogershimizu@gmail.com>  Tue, 05 Sep 2017 01:28:16 +0900

torbrowser-launcher (0.2.7-3~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Team upload.
  * Rebuild for jessie-backports-sloppy.

 -- Roger Shimizu <rogershimizu@gmail.com>  Mon, 04 Sep 2017 23:20:05 +0900

torbrowser-launcher (0.2.7-3~bpo9+1) stretch-backports; urgency=medium

  * Team upload.
  * Rebuild for stretch-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Tue, 29 Aug 2017 00:33:34 +0900

torbrowser-launcher (0.2.7-3) unstable; urgency=medium

  * debian/control:
    - remove dependendency on wmctrl. (Closes: #867019)
    - change maintainer email address.

 -- Ulrike Uhlig <ulrike@debian.org>  Mon, 10 Jul 2017 08:55:10 +0200

torbrowser-launcher (0.2.7-2) unstable; urgency=medium

  * New upstream version.
    - Updated Tor Browser signing key because they added a new
      subkey and verification was failing.
    - Updated AppArmor profile (Closes: #852732).
    - Improved localization. Added Russian.
  * debian/patches:
    - Delete cherry-picked AppArmor patches.
  * debian/rules:
    - Clean binary mo files.
  * debian/copyright:
    - Bump years.

 -- Ulrike Uhlig <u@451f.org>  Wed, 19 Apr 2017 18:30:32 +0200

torbrowser-launcher (0.2.6-3.1) unstable; urgency=medium

  * Non-maintainer upload.
    * debian/patches/update-tor-signing-key.patch:
   - Updates the signing key to include the new subkey. (Closes: #852732)

 -- Iain R. Learmonth <irl@debian.org>  Tue, 07 Mar 2017 23:18:36 +0000

torbrowser-launcher (0.2.6-3) unstable; urgency=medium

  * Team upload.

  [ Ulrike Uhlig ]
  * AppArmor-don-t-prevent-Tor-from-starting.patch: new patch,
    cherry-picked from upstream (Closes: #835479).

  [ intrigeri ]
  * AppArmor-support-merged-usr-systems.patch: new patch cherry-picked
    from upstream, adding support for merged-/usr systems
    in the AppArmor profiles.

 -- intrigeri <intrigeri@debian.org>  Sat, 17 Dec 2016 14:18:04 +0000

torbrowser-launcher (0.2.6-2) unstable; urgency=medium

  * Remove myself from uploaders.

 -- Holger Levsen <holger@debian.org>  Mon, 19 Sep 2016 12:34:21 +0200

torbrowser-launcher (0.2.6-1) unstable; urgency=medium

  * New upstream version.

 -- Holger Levsen <holger@debian.org>  Sat, 23 Jul 2016 13:03:12 -0400

torbrowser-launcher (0.2.5-1) unstable; urgency=medium

  [Ulrike Uhlig]
  * New upstream version. (Closes: #803171)
  * debian/gbp.conf: Make it clear that we don't use pristine-tar anymore.

  [Holger Levsen]
  * Drop patch which has been applied upstream:
    - 0001-AppArmor-try-to-fix-Tor-Browser-upgrade-again.patch
  * Bump standards version to 3.9.8, no changes needed.
  * Remove obsolete conffile /etc/apparmor.d/torbrowser.start-tor-browser
    thanks to Paul Wise. (Closes: #805706)
  * debian/rules: don't try to installed removed file apparmor profile
    torbrowser.start-tor-browser.

 -- Ulrike Uhlig <u@451f.org>  Sat, 09 Jul 2016 10:00:43 +0200

torbrowser-launcher (0.2.4-2) unstable; urgency=medium

  * Remove Jacob from uploaders. Believe victims.

 -- Holger Levsen <holger@debian.org>  Thu, 16 Jun 2016 01:23:44 +0200

torbrowser-launcher (0.2.4-1) unstable; urgency=high

  * New upstream version which prevents a signature verification attack, see
    https://github.com/micahflee/torbrowser-launcher/issues/229 for more info.
  * Fix AppArmor profile to allow self upgrades. Thanks intrigeri for the
    patch! (Closes: #817267)

 -- Holger Levsen <holger@debian.org>  Tue, 15 Mar 2016 20:54:23 -0400

torbrowser-launcher (0.2.3-1) unstable; urgency=medium

  * New upstream version. Drop all debian/patches. Quoting from upstream
    CHANGELOG.md:
    - Removed certificate pinning to https://www.torproject.org to avoid issues
      with upcoming certificate change, and hard-coded minimum Tor Browser
      version in the release (Closes: #811499)
    - Fix issue with detecting language (Closes: #753173)
    - Make Tor SOCKS5 proxy configurable, for users not running on 9050
     (Closes: #797339, #797337)
    - Improved AppArmor profiles
    - Added Russian translation
    - Switched from xpm icons to png icons (Closes: #802013)
    - Changed "Exit" button to "Cancel" button (Closes: #796216)
    - New package description (inspired by #812664)
  * debian/control:
    - Bump standards version to 3.9.7, no changes needed.
    - Use /git/ not /cgit/ in Vcs-* headers.

 -- Holger Levsen <holger@debian.org>  Sat, 05 Mar 2016 16:23:04 +0100

torbrowser-launcher (0.2.2-3) sid; urgency=medium

  * Update package description, stop mentioning the removed upgrade feature.
    (Closes: #812664)
  * Add debian/patches/0003-fix-apparmor-profile-to-support-self-upgrade.patch
    to do just that. Thanks to intrigeri for providing these rules.
    (Closes: #808140)
  * Add ca-certificates as depends. (Closes: #805173)
  * Turn the dependency on tor into a Recommends. (Closes: #795240)
  * Add dh-python to build-depends.
  * Move to section contrib/web, thanks lintian!
  * Override lintian's pedantic debian-watch-may-check-gpg-signature warning.

 -- Holger Levsen <holger@debian.org>  Mon, 01 Feb 2016 13:59:50 +0100

torbrowser-launcher (0.2.2-2) sid; urgency=medium

  * Upload to sid.

 -- Holger Levsen <holger@debian.org>  Thu, 19 Nov 2015 18:41:15 +0100

torbrowser-launcher (0.2.2-1) experimental; urgency=medium

  * New upstream version. (Closes: #805078)

 -- Holger Levsen <holger@debian.org>  Fri, 13 Nov 2015 18:50:18 +0100

torbrowser-launcher (0.2.1-2) unstable; urgency=high

  [ intrigeri ]
  * Re-apply changes from 0.2.0-2, that were dropped by the 0.2.1-1 upload.
  * Add debian/gbp.conf to automated selection of the packaging branch.
  * Drop AppArmor-allow-Tor-Browser-to-use-shared-libraries-s.patch:
    applied upstream.
  * Refresh patches.

  [ Ximin Luo ]
  * Hand over package to pkg-privacy team.

 -- Holger Levsen <holger@debian.org>  Mon, 16 Nov 2015 23:13:29 +0100

torbrowser-launcher (0.2.1-1) unstable; urgency=medium

  * New upstream version. (Closes: #804184, #804274, #804394)

 -- Holger Levsen <holger@debian.org>  Fri, 13 Nov 2015 18:41:38 +0100

torbrowser-launcher (0.2.0-2) unstable; urgency=medium

  * Team upload.
  * AppArmor-allow-Tor-Browser-to-use-shared-libraries-s.patch: new patch,
    that extends the torbrowser.Browser.firefox AppArmor profile so that
    Tor Browser 4.5 and 5.0 can run.
  * debian/copyright: don't include the Expat license's text twice.
  * Include-local-overrides-file-in-AppArmor-profiles.-C.patch: new patch,
    to include local overrides file in AppArmor profiles. (Closes: #751451)
  * Set-torbrowser.start-tor-browser-and-usr.bin.torbrow.patch: new patch,
    that sets the torbrowser.start-tor-browser and usr.bin.torbrowser-launcher
    AppArmor profiles to complain mode.

 -- intrigeri <intrigeri@debian.org>  Wed, 12 Aug 2015 10:42:50 +0200

torbrowser-launcher (0.2.0-1) unstable; urgency=medium

  * New upstream version. (Closes: #784041)

 -- Ulrike Uhlig <u@451f.org>  Thu, 14 May 2015 22:18:10 +0200

torbrowser-launcher (0.1.9-1) unstable; urgency=medium

  * New upstream version, which adds an option to disable accepting links, to
    workaround an issue affecting users running both Firefox and Tor Browser.

 -- Holger Levsen <holger@debian.org>  Wed, 04 Feb 2015 22:55:39 +0100

torbrowser-launcher (0.1.8-1) unstable; urgency=medium

  * New upstream version:
    * featuring new signing key. (Closes: #775871)
    * handle new TBB alpha and beta versioning. (Closes: #775891)

 -- Ulrike Uhlig <u@451f.org>  Tue, 20 Jan 2015 23:30:27 +0100

torbrowser-launcher (0.1.7-1) unstable; urgency=medium

  [ Ulrike Uhlig ]
  * New upstream version.

 -- Holger Levsen <holger@debian.org>  Wed, 03 Dec 2014 23:46:10 +0100

torbrowser-launcher (0.1.6-1) unstable; urgency=medium

  * New upstream version. (Closes: #766302)
  * debian/copyright:
    * upstream marked license as being MIT.
    * upstream extended copyright to 2014.

 -- Ulrike Uhlig <u@451f.org>  Sun, 26 Oct 2014 15:23:58 +0100

torbrowser-launcher (0.1.5-2) unstable; urgency=medium

  * Add lsb-release to build-depends.
  * Bump standards version to 3.9.6.
  * Switch Vcs-Browser: to cgit URL.

 -- Holger Levsen <holger@debian.org>  Sat, 18 Oct 2014 21:54:31 +0200

torbrowser-launcher (0.1.5-1) unstable; urgency=medium

  [ Ulrike Uhlig ]
  * New upstream version. (Closes: #763739)
    - no longer detach application (Closes: #756901)
  * Delete apparmor patches which were fixed upstream.

  [ Holger Levsen ]
  * Force usage of python 2.7.

 -- Ulrike Uhlig <u@451f.org>  Thu, 02 Oct 2014 18:59:37 +0200

torbrowser-launcher (0.1.4-2) unstable; urgency=medium

  * Team upload.

  [ Holger Levsen ]
  * Bump debian/compat to 9 and increase build-dependency to debhelper
    >= 9.20120909~.

  [ intrigeri ]
  * Import AppArmor profiles updates from upstream (Closes: #761663).
  * Fix short BSD license name in debian/copyright.

 -- intrigeri <intrigeri@debian.org>  Mon, 15 Sep 2014 20:13:26 -0700

torbrowser-launcher (0.1.4-1) unstable; urgency=high

  [ Ulrike Uhlig ]
  * New upstream version.
    - take into account URL change for downloading TBB

 -- Ulrike Uhlig <u@451f.org>  Tue, 02 Sep 2014 09:20:39 +0200

torbrowser-launcher (0.1.3-1) unstable; urgency=medium

  [ Ulrike Uhlig ]
  * New upstream version. (Closes: #757627)
  * debian/control:
    - Update package description to correctly indicate the places
      where TBB is downloaded to (Closes: #756928).

  [ Holger Levsen ]
  * debian/examples/README: explain why AppArmor is awesome, mention Tails
    too.

 -- Ulrike Uhlig <u@451f.org>  Mon, 11 Aug 2014 18:47:03 +0200

torbrowser-launcher (0.1.2-1) unstable; urgency=medium

  * New upstream version. (Closes: #754281, #753413, #755682)
  * Drop patch intrigeri_gh92-rework-AppArmor-profiles.patch.
  * Drop patch fix_typo_in_ppa_script.patch.
  * debian/control:
    - add tor to depends.
    - update Vcs-URLs to new git repo location in collab-maint.
  * Add debian/examples to show how to run torbrowser-launcher, confined with
    AppArmor, in Xephyr as another user. Read the README!
  * Fix DEP5 syntax error in debian/copyright, thanks Lintian.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Aug 2014 00:42:59 +0200

torbrowser-launcher (0.1.1-2) unstable; urgency=medium

  * debian/rules: call dh_apparmor for each shipped profile.
    (Closes: #755817)
  * Include e8350a1c4 from upstream to fix typo in ppa script.
  * Cleanup AppArmor profiles as per not yet merged pull request
    https://github.com/micahflee/torbrowser-launcher/pull/111
    Thanks intrigeri for the patch! (Closes: #751453).

 -- Holger Levsen <holger@debian.org>  Sat, 26 Jul 2014 17:15:04 +0200

torbrowser-launcher (0.1.1-1) unstable; urgency=low

    * Adopt the package under the umbrella of the Debian Anonymity Tools Team.
    * New upstream version.
    * debian/control:
        * Add Jacob Appelbaum, Holger Levsen and myself to Uploaders.
        * Adding Vcs-Browser now pointing to upstream debian/ branch.
        * restricting Architecture to i386 and amd64 (Closes: #752240)
        * Build dependency dh-apparmor added.
        * python-pygame dependency is now optional
        * added versions to dependencies python-parsley and python-txsocksx
    * debian/rules:
        * use dh_apparmor (Closes: #751449)

 --  Ulrike Uhlig <u@451f.org>  Tue, 22 Jul 2014 11:54:57 +0200

torbrowser-launcher (0.1.0-1.2) unstable; urgency=low

  [ Ulrike Uhlig ]
    * Non-maintainer upload in coordination with maintainer.
    * debian/control:
      - Deleted problematic Vcs-Git and Vcs-Browser information.

 --  Ulrike Uhlig <u@451f.org>  Sun, 06 Jul 2014 16:00:51 +0200

torbrowser-launcher (0.1.0-1.1) unstable; urgency=low

  [ Ulrike Uhlig ]
  * Non-maintainer upload in coordination with maintainer.
  * New upstream version. (Closes: #751284)
  * debian/control:
    - Added homepage, Vcs-Git and Vcs-Browser information.
    - Move to contrib (Closes: #751366)
    - Suggests: apparmor (Closes: #751452)
    - Deleted depencies: apparmor-utils, apparmor-profiles, debhelper
    - debhelper Build-dependency downgraded from >9.20140228 to >7.4.3
      (Closes: #751773)
  * debian/watch added

 --  Ulrike Uhlig <u@451f.org>  Fri, 20 Jun 2014 07:27:25 +0200

torbrowser-launcher (0.0.7-1) unstable; urgency=low

  * Initial release. (Closes: #705177)

 -- Jacob Appelbaum <jacob@appelbaum.net>  Tue, 11 Mar 2014 18:54:47 +0000
